/*
 * Este archivo contiene las funciones delay en ms y us
 *
 * Josue Alejandro Gutierrez Alvarez
 */

#include "MK26F18.h"
#include "Delay.h"


void delayms(uint32_t t){
	uint32_t i;

	TPM1->MOD = TPM_MOD_MOD(11520);
	TPM1->SC |= TPM_SC_TOF_MASK;
	TPM1->SC |= TPM_SC_CMOD(0x01);
	for(i=0;i<=t;i++){
		while((TPM1->SC & TPM_SC_TOF_MASK)!=TPM_SC_TOF_MASK);
		TPM1->SC |= TPM_SC_TOF_MASK;
	}
}


void delayus(uint32_t t){

	TPM1->MOD = TPM_MOD_MOD(t);
	TPM1->SC |= TPM_SC_TOF_MASK;
	TPM1->SC |= TPM_SC_CMOD(0x01);
	while((TPM1->SC & TPM_SC_TOF_MASK)!=TPM_SC_TOF_MASK);
	TPM1->SC |= TPM_SC_TOF_MASK;
}

void delayusf(uint32_t time){
	static uint32_t trem;
	for(trem = time; trem != 0; trem--){
			__asm volatile("nop");

	}
}
