/*
 * Este archivo contiene las funciones para UART
 *
 * Josue Alejandro Gutierrez Alvarez
 */

#ifndef UART0_UART0_H_
#define UART0_UART0_H_

#include <stdio.h>
#include "MK26F18.h"
#include "fsl_common.h"

void initUART0(uint32_t baudrate);
void UART0Write(uint8_t data);
void UART0WriteString(char *dataString);
uint8_t UART0Read(void);
uint8_t UART0Peek(void);
uint8_t UART0Available(void);
void UART0Flush(void);

#endif /* UART0_UART0_H_ */
